const request = (url, data, method = 'GET') => {
	return new Promise((resolve, reject) => {
		let header = {
			'Content-Type': 'application/json',
		}
		if (uni.getStorageSync('token')) {
			header.token = 'Bearer ' + uni.getStorageSync('token')
		}
		uni.request({
			url: url,
			data: data,
			method: method,
			header: header,
			success: res => {
				if (res.statusCode == 200) {
					let data = res.data
					if (data.code == 40001) {
						uni.navigateTo({
							url: '/pages/index/login'
						});
						return false
					}
					if (data.code == 0 || data.code == 200) {
						resolve(res.data)
					} else {
						reject(res)
					}
				} else {
					reject(res)
				}
			},
			fail: res => {
				reject(res)
			}
		})
	});
}


module.exports = {
	request: request
}
